summaryrefslogtreecommitdiff
path: root/scripts/support
diff options
context:
space:
mode:
authorAndrew Boie <andrew.p.boie@intel.com>2016-07-21 12:48:43 -0700
committerAndrew Boie <andrew.p.boie@intel.com>2016-07-28 22:25:48 +0000
commitb6612f459ba5f30a1f7780698151c726432cf046 (patch)
tree843633b75e35657faab889cad25f82d5ee192d54 /scripts/support
parent12244a3a8e47903e47f07b3a4f22f93f7507dd85 (diff)
altera_max10: default to UFM flashing
Flashing issues have been resolved. The build system support for flashing and debugging has been changed back to UFM scenario. XIP and reset vector no longer disabled. Wiki documentation updated. Change-Id: Iffe326485c20808dabc1e19e0b18b7b60a83d797 Signed-off-by: Andrew Boie <andrew.p.boie@intel.com>
Diffstat (limited to 'scripts/support')
-rwxr-xr-xscripts/support/nios2.sh15
1 files changed, 11 insertions, 4 deletions
diff --git a/scripts/support/nios2.sh b/scripts/support/nios2.sh
index 2981345cf..1c3ff5b7c 100755
--- a/scripts/support/nios2.sh
+++ b/scripts/support/nios2.sh
@@ -17,7 +17,7 @@ while [ -z "$GDB_TCP_PORT" ]; do
GDB_TCP_PORT=
done
-REQUIRED_PROGRAMS="nios2-gdb-server nios2-download"
+REQUIRED_PROGRAMS="quartus_cpf quartus_pgm nios2-gdb-server nios2-download"
for pgm in ${REQUIRED_PROGRAMS}; do
@@ -29,14 +29,21 @@ done
# CONFIG_INCLUDE_RESET_VECTOR must be disabled.
do_flash() {
- nios2-download --go ${ELF_NAME}
+ if [ -z "${NIOS2_CPU_SOF}" ]; then
+ echo "Please set NIOS2_CPU_SOF variable to location of CPU .sof data"
+ exit 1
+ fi
+
+ ${ZEPHYR_BASE}/scripts/support/quartus-flash.py \
+ --sof ${NIOS2_CPU_SOF} \
+ --kernel ${HEX_NAME}
}
do_debug() {
do_debugserver 1 &
# connect to the GDB server
- ${GDB} ${TUI} -ex "target remote :${GDB_TCP_PORT}" -ex "load" ${ELF_NAME}
+ ${GDB} ${TUI} ${ELF_NAME} -ex "target remote :${GDB_TCP_PORT}"
}
do_debugserver() {
@@ -49,7 +56,7 @@ do_debugserver() {
SETSID=
fi
echo "Nios II GDB server running on port ${GDB_TCP_PORT}"
- ${SETSID} nios2-gdb-server --tcpport ${GDB_TCP_PORT} --init-cache --reset-target
+ ${SETSID} nios2-gdb-server --tcpport ${GDB_TCP_PORT} --stop --reset-target
}